param($installPath, $toolsPath, $package, $project)

if ($project -ne $null) 
{
    $configuration = $project.ConfigurationManager | Where-Object {$_.ConfigurationName -eq "Debug"}

    if ($configuration -ne $null)
    {
        $oldValue = $configuration.Properties.Item("DefineConstants").Value
    
        if ($oldValue.Contains("SPYRO_LINQ2") -eq 0)  # No contiene SPYRO_LINQ2
        {
            $newValue = $oldValue
            
            if ($newValue.Length -gt 0)        # No est? vacio
            {
                $newValue = $newValue + ";"    # a?ado ;
            }
                
            $newValue = $newValue + "SPYRO_LINQ2"
    
            $configuration.Properties.Item("DefineConstants").Value = $newValue
            
            $oldValue = $newValue
        }
        
        # $project.Save()
    }
}