param($installPath, $toolsPath, $package, $project)

if ($project -ne $null) 
{
    $configuration = $project.ConfigurationManager | Where-Object {$_.ConfigurationName -eq "Debug"}

    if ($configuration -ne $null)
    {
        $oldValue = $configuration.Properties.Item("DefineConstants").Value
    
        if ($oldValue.Contains("SPYRO_LINQ2") -eq 1)  # Contiene SPYRO_LINQ2
        {
            $newValue = $oldValue
            
            $newValue = $newValue.Replace(";SPYRO_LINQ2", "")
            $newValue = $newValue.Replace("SPYRO_LINQ2", "")
    
            $configuration.Properties.Item("DefineConstants").Value = $newValue
        }
        
        #$project.Save()
    }
}